﻿local addonName = "DataStore_Talents"
local addon = _G[addonName]

-- [itemID] = glyphID
addon.ItemIDToGlyphID = {
	-- Death-Knight Major
	[43533] = 512, -- Glyph of Anti-Magic Shell
	[43534] = 513, -- Glyph of Unholy Frenzy
	[43536] = 515, -- Glyph of Icebound Fortitude
	[43537] = 516, -- Glyph of Chains of Ice
	[43541] = 519, -- Glyph of Death Grip
	[43542] = 520, -- Glyph of Death and Decay
	[43543] = 521, -- Glyph of Shifting Presences
	[43546] = 524, -- Glyph of Icy Touch
	[43547] = 525, -- Glyph of Enduring Infection
	[43548] = 526, -- Glyph of Pestilence
	[43549] = 527, -- Glyph of Mind Freeze
	[43552] = 530, -- Glyph of Strangulate
	[43553] = 531, -- Glyph of Pillar of Frost
	[43554] = 532, -- Glyph of Vampiric Blood
	[43825] = 556, -- Glyph of Unholy Command
	[43826] = 557, -- Glyph of Outbreak
	[45799] = 768, -- Glyph of Dancing Rune Weapon
	[45800] = 769, -- Glyph of Dark Simulacrum
	[45804] = 771, -- Glyph of Death Coil
	[68793] = 945, -- Glyph of Dark Succor
	-- Death-Knight Minor
	[43535] = 514, -- Glyph of the Geist
	[43539] = 518, -- Glyph of Death's Embrace
	[43544] = 522, -- Glyph of Horn of Winter
	[43550] = 528, -- Glyph of Army of the Dead
	[43551] = 529, -- Glyph of Foul Menagerie
	[43672] = 553, -- Glyph of Resilient Grip
	[43671] = 554, -- Glyph of Path of Frost
	[43673] = 555, -- Glyph of Death Gate
	[43827] = 558, -- Glyph of Corpse Explosion
	[45806] = 773, -- Glyph of Tranquil Grip
	-- Druid Major
	[40896] = 161, -- Glyph of Frenzied Regeneration
	[40897] = 162, -- Glyph of Maul
	[40899] = 163, -- Glyph of Solar Beam
	[40901] = 165, -- Glyph of Shred
	[40902] = 166, -- Glyph of Prowl
	[40903] = 167, -- Glyph of Pounce
	[40906] = 168, -- Glyph of Stampede
	[40908] = 169, -- Glyph of Innervate
	[40909] = 170, -- Glyph of Rebirth
	[40912] = 171, -- Glyph of Regrowth
	[40913] = 172, -- Glyph of Rejuvenation
	[40914] = 173, -- Glyph of Healing Touch
	[40915] = 174, -- Glyph of Lifebloom
	[40916] = 175, -- Glyph of the Moonbeast
	[40920] = 177, -- Glyph of Hurricane
	[40921] = 178, -- Glyph of Skull Bash
	[40922] = 179, -- Glyph of Nature's Grasp
	[40923] = 180, -- Glyph of Savagery
	[40924] = 181, -- Glyph of Entangling Roots
	[43331] = 434, -- Glyph of Blooming
	[43674] = 551, -- Glyph of Dash
	[44928] = 631, -- Glyph of the Master Shapeshifter
	[45601] = 671, -- Glyph of Survival Instincts
	[45602] = 672, -- Glyph of Wild Growth
	[45603] = 673, -- Glyph of Might of Ursoc
	[45604] = 674, -- Glyph of Stampeding Roar
	[45622] = 675, -- Glyph of Cyclone
	[45623] = 676, -- Glyph of Barkskin
	[48720] = 831, -- Glyph of Ferocious Bite
	[67484] = 933, -- Glyph of Fae Silence
	[67485] = 934, -- Glyph of Faerie Fire
	[67487] = 936, -- Glyph of Cat Form
	-- Druid Minor
	[40900] = 164, -- Glyph of the Stag
	[40919] = 176, -- Glyph of the Orca
	[43316] = 431, -- Glyph of Aquatic Form
	[43334] = 432, -- Glyph of the Chameleon
	[43335] = 433, -- Glyph of Charm Woodland Creature
	[43332] = 435, -- Glyph of Grace
	[44922] = 613, -- Glyph of Stars
	[67486] = 935, -- Glyph of the Predator
	[68039] = 937, -- Glyph of the Treant
	[89868] = 1054, -- Glyph of the Cheetah
	-- NOTE: not available in the game
	[93203] = 1059, -- Glyph of Focus
	-- Hunter Major
	[42898] = 352, -- Glyph of Camouflage
	[42899] = 353, -- Glyph of Liberation
	[42900] = 354, -- Glyph of Mending
	[42901] = 355, -- Glyph of Distracting Shot
	[42902] = 356, -- Glyph of Endless Wrath
	[42903] = 357, -- Glyph of Deterrence
	[42904] = 358, -- Glyph of Disengage
	[42905] = 359, -- Glyph of Freezing Trap
	[42906] = 360, -- Glyph of Ice Trap
	[42907] = 361, -- Glyph of Misdirection
	[42908] = 362, -- Glyph of Explosive Trap
	[42909] = 363, -- Glyph of Animal Bond
	[42910] = 364, -- Glyph of No Escape
	[42911] = 365, -- Glyph of Pathfinding
	[42913] = 367, -- Glyph of Snake Trap
	[42914] = 368, -- Glyph of Aimed Shot
	[42915] = 369, -- Glyph of Mend Pet
	[42917] = 371, -- Glyph of Solace
	[45625] = 677, -- Glyph of Chimera Shot
	[45731] = 691, -- Glyph of Tranquilizing Shot
	[45733] = 693, -- Glyph of Master's Call
	[45734] = 694, -- Glyph of Scatter Shot
	[45735] = 695, -- Glyph of Mirrored Blades
	[85684] = 1023, -- Glyph of Black Ice
	-- Hunter Minor
	[42897] = 351, -- Glyph of Aspects
	[42912] = 366, -- Glyph of Tame Beast
	[43338] = 439, -- Glyph of Revive Pet
	[43350] = 440, -- Glyph of Lesser Proportion
	[43351] = 441, -- Glyph of Fireworks
	[43356] = 442, -- Glyph of Stampede
	[43355] = 443, -- Glyph of Aspect of the Pack
	[45732] = 692, -- Glyph of Aspect of the Cheetah
	[85683] = 1022, -- Glyph of Aspect of the Beast
	[87278] = 1050, -- Glyph of Direction
	[87279] = 1051, -- Glyph of Marking
	[87393] = 1053, -- Glyph of Fetch
	-- Mage Major
	[42736] = 313, -- Glyph of Arcane Explosion
	[42737] = 314, -- Glyph of Blink
	[42738] = 315, -- Glyph of Evocation
	[42739] = 316, -- Glyph of Combustion
	[42741] = 318, -- Glyph of Frost Nova
	[42744] = 321, -- Glyph of Ice Block
	[42745] = 322, -- Glyph of Ice Lance
	[42746] = 323, -- Glyph of Cone of Cold
	[42748] = 325, -- Glyph of Invisibility
	[42749] = 326, -- Glyph of Mana Gem
	[42752] = 329, -- Glyph of Polymorph
	[42753] = 330, -- Glyph of Icy Veins
	[42754] = 331, -- Glyph of Spellsteal
	[44684] = 591, -- Glyph of Frostfire Bolt
	[44920] = 611, -- Glyph of Remove Curse
	[44955] = 651, -- Glyph of Arcane Power
	[45736] = 696, -- Glyph of Water Elemental
	[45737] = 697, -- Glyph of Slow
	[45740] = 700, -- Glyph of Deep Freeze
	[50045] = 871, -- Glyph of Counterspell
	[63539] = 928, -- Glyph of Inferno Blast
	[69773] = 948, -- Glyph of Armors
	-- Mage Minor
	[42735] = 312, -- Glyph of Loose Mana
	[42743] = 320, -- Glyph of Momentum
	[42751] = 328, -- Glyph of Crittermorph
	[43339] = 445, -- Glyph of the Porcupine
	[43360] = 447, -- Glyph of the Monkey
	[43359] = 448, -- Glyph of Conjure Familiar
	[43362] = 449, -- Glyph of the Bear Cub
	[43361] = 450, -- Glyph of the Penguin
	[43364] = 451, -- Glyph of Arcane Language
	[45738] = 698, -- Glyph of Illusion
	[45739] = 699, -- Glyph of Mirror Image
	[63416] = 923, -- Glyph of Rapid Teleportation
	-- NOTE: not available in the game
	[92727] = 1056, -- Glyph of Discreet Magic
	-- Monk Major
	[82345] = 997, -- Glyph of Expel Harm
	[85691] = 998, -- Glyph of Guard
	[85695] = 999, -- Glyph of Zen Meditation
	[85699] = 1001, -- Glyph of Surging Mist
	[85689] = 1002, -- Glyph of Enduring Healing Sphere
	[84652] = 1011, -- Glyph of Transcendence
	[85697] = 1012, -- Glyph of Spinning Crane Kick
	[85696] = 1013, -- Glyph of Renewing Mist
	[85700] = 1014, -- Glyph of Touch of Death
	[85685] = 1015, -- Glyph of Breath of Fire
	[85687] = 1016, -- Glyph of Clash
	[85692] = 1019, -- Glyph of Mana Tea
	[87894] = 1021, -- Glyph of Leer of the Ox
	[87896] = 1025, -- Glyph of Retreat
	[87895] = 1026, -- Glyph of Life Cocoon
	[87893] = 1030, -- Glyph of Fortifying Brew
	[87899] = 1031, -- Glyph of Stoneskin
	[87880] = 1032, -- Glyph of Crackling Jade Lightning
	[87901] = 1034, -- Glyph of Uplift
	[87892] = 1035, -- Glyph of Fists of Fury
	[87898] = 1036, -- Glyph of Sparring
	[87891] = 1037, -- Glyph of Afterlife
	[87900] = 1038, -- Glyph of Touch of Karma
	[87897] = 1040, -- Glyph of Paralysis
	-- Monk Minor
	[87882] = 1017, -- Glyph of Flying Serpent Kick
	[85698] = 1018, -- Glyph of Spinning Fire Blossom
	[87885] = 1028, -- Glyph of Rising Tiger Kick
	[87887] = 1029, -- Glyph of Spirit Roll
	[87884] = 1033, -- Glyph of Jab
	[87883] = 1039, -- Glyph of Honor
	[87888] = 1041, -- Glyph of Fighting Pose
	[87890] = 1042, -- Glyph of Zen Flight
	[87889] = 1044, -- Glyph of Water Roll
	[87881] = 1045, -- Glyph of Crackling Tiger Lightning
	[90715] = 1055, -- Glyph of Blackout Kick
	-- Paladin Major
	[41092] = 183, -- Glyph of Double Jeopardy
	[41094] = 184, -- Glyph of Rebuke
	[41095] = 185, -- Glyph of Holy Wrath
	[41096] = 186, -- Glyph of Divine Protection
	[41097] = 187, -- Glyph of Templar's Verdict
	[41098] = 188, -- Glyph of Avenging Wrath
	[41099] = 189, -- Glyph of Consecration
	[41101] = 191, -- Glyph of Focused Shield
	[41102] = 192, -- Glyph of Turn Evil
	[41103] = 193, -- Glyph of Blinding Light
	[41104] = 194, -- Glyph of Final Wrath
	[41105] = 195, -- Glyph of Word of Glory
	[41106] = 196, -- Glyph of Illumination
	[41107] = 197, -- Glyph of Harsh Words
	[41108] = 198, -- Glyph of Divinity
	[41109] = 199, -- Glyph of Light of Dawn
	[41110] = 200, -- Glyph of Blessed Life
	[43367] = 455, -- Glyph of Flash of Light
	[43867] = 559, -- Glyph of Denounce
	[43868] = 560, -- Glyph of Dazing Shield
	[43869] = 561, -- Glyph of Immediate Truth
	[45741] = 701, -- Glyph of Beacon of Light
	[45742] = 702, -- Glyph of Hammer of the Righteous
	[45743] = 703, -- Glyph of Divine Storm
	[45744] = 704, -- Glyph of the Alabaster Shield
	[45745] = 705, -- Glyph of Divine Plea
	[45746] = 706, -- Glyph of Holy Shock
	[45747] = 707, -- Glyph of Inquisition
	[66918] = 930, -- Glyph of Protector of the Innocent
	[81956] = 996, -- Glyph of the Battle Healer
	[83107] = 1009, -- Glyph of Mass Exorcism
	-- Paladin Minor
	[41100] = 190, -- Glyph of the Luminous Charger
	[43365] = 452, -- Glyph of Contemplation
	[43340] = 453, -- Glyph of the Mounted King
	[43366] = 454, -- Glyph of Winged Vengeance
	[43368] = 456, -- Glyph of Seal of Blood
	[43369] = 457, -- Glyph of Fire From the Heavens
	[80581] = 986, -- Glyph of Focused Wrath
	[80584] = 987, -- Glyph of the Falling Avenger
	[80585] = 988, -- Glyph of Righteous Retreat
	[80586] = 989, -- Glyph of Bladed Judgment
	-- Priest Major
	[42396] = 251, -- Glyph of Circle of Healing
	[42397] = 252, -- Glyph of Purify
	[42398] = 253, -- Glyph of Fade
	[42399] = 254, -- Glyph of Fear Ward
	[42400] = 255, -- Glyph of Inner Sanctum
	[42401] = 256, -- Glyph of Holy Nova
	[42402] = 257, -- Glyph of Inner Fire
	[42403] = 258, -- Glyph of Lightwell
	[42404] = 259, -- Glyph of Mass Dispel
	[42405] = 260, -- Glyph of Psychic Horror
	[42406] = 261, -- Glyph of Holy Fire
	[42407] = 262, -- Glyph of Weakened Soul
	[42408] = 263, -- Glyph of Power Word: Shield
	[42409] = 264, -- Glyph of Spirit of Redemption
	[42410] = 265, -- Glyph of Psychic Scream
	[42411] = 266, -- Glyph of Renew
	[42412] = 267, -- Glyph of Scourge Imprisonment
	[42414] = 268, -- Glyph of Mind Blast
	[42415] = 269, -- Glyph of Dispel Magic
	[42416] = 270, -- Glyph of Smite
	[42417] = 271, -- Glyph of Prayer of Mending
	[43370] = 459, -- Glyph of Levitate
	[43372] = 462, -- Glyph of Reflective Shield
	[45753] = 708, -- Glyph of Dispersion
	[45755] = 709, -- Glyph of Leap of Faith
	[45756] = 710, -- Glyph of Penance
	[45757] = 711, -- Glyph of Dark Binding
	[45758] = 712, -- Glyph of Mind Spike
	[45760] = 713, -- Glyph of Binding Heal
	[79513] = 1003, -- Glyph of Mind Flay
	[79514] = 1005, -- Glyph of Shadow Word: Death
	[79515] = 1006, -- Glyph of Vampiric Embrace
	[87902] = 1046, -- Glyph of Lightspring
	-- Priest Minor
	[43342] = 458, -- Glyph of Shadow Ravens
	[43371] = 460, -- Glyph of Borrowed Time
	[43373] = 461, -- Glyph of Shackle Undead
	[43374] = 463, -- Glyph of Dark Archangel
	[77101] = 961, -- Glyph of Shadow
	[79538] = 1007, -- Glyph of the Heavens
	[86541] = 1047, -- Glyph of Confession
	[87276] = 1048, -- Glyph of Holy Resurrection
	[87277] = 1049, -- Glyph of the Val'kyr
	[87392] = 1052, -- Glyph of Shadowy Friends
	-- Rogue Major
	[42954] = 391, -- Glyph of Shadow Walk
	[42955] = 392, -- Glyph of Ambush
	[42957] = 394, -- Glyph of Blade Flurry
	[42958] = 395, -- Glyph of Crippling Poison
	[42959] = 396, -- Glyph of Recuperate
	[42960] = 397, -- Glyph of Evasion
	[42961] = 398, -- Glyph of Debilitation
	[42962] = 399, -- Glyph of Expose Armor
	[42963] = 400, -- Glyph of Feint
	[42964] = 401, -- Glyph of Garrote
	[42966] = 403, -- Glyph of Gouge
	[42968] = 405, -- Glyph of Smoke Bomb
	[42969] = 406, -- Glyph of Cheap Shot
	[42970] = 407, -- Glyph of Sap
	[42972] = 409, -- Glyph of Adrenaline Rush
	[42973] = 410, -- Glyph of Shiv
	[42974] = 411, -- Glyph of Sprint
	[45761] = 714, -- Glyph of Vendetta
	[45764] = 716, -- Glyph of Stealth
	[45766] = 731, -- Glyph of Deadly Momentum
	[45769] = 734, -- Glyph of Cloak of Shadows
	[63420] = 924, -- Glyph of Vanish
	[42971] = 926, -- Glyph of Kick
	[64493] = 929, -- Glyph of Blind
	-- Rogue Minor
	[42956] = 393, -- Glyph of Decoy
	[42965] = 402, -- Glyph of Detection
	[42967] = 404, -- Glyph of Hemorrhage
	[43376] = 464, -- Glyph of Distract
	[43377] = 465, -- Glyph of Pick Lock
	[43343] = 466, -- Glyph of Pick Pocket
	[43378] = 467, -- Glyph of Safe Fall
	[43379] = 468, -- Glyph of Blurred Speed
	[43380] = 469, -- Glyph of Poisons
	[45762] = 715, -- Glyph of Killing Spree
	[45767] = 732, -- Glyph of Tricks of the Trade
	[45768] = 733, -- Glyph of Disguise
	-- Shaman Major
	[41541] = 211, -- Glyph of Water Shield
	[41517] = 212, -- Glyph of Unstable Earth
	[41518] = 213, -- Glyph of Chain Lightning
	[41524] = 214, -- Glyph of Spirit Walk
	[41526] = 215, -- Glyph of Capacitor Totem
	[41527] = 216, -- Glyph of Purge
	[41529] = 217, -- Glyph of Fire Elemental Totem
	[41530] = 218, -- Glyph of Fire Nova
	[41531] = 219, -- Glyph of Flame Shock
	[41532] = 220, -- Glyph of Wind Shear
	[41547] = 221, -- Glyph of Frost Shock
	[41533] = 222, -- Glyph of Healing Stream Totem
	[41534] = 223, -- Glyph of Healing Wave
	[41535] = 224, -- Glyph of Totemic Recall
	[41536] = 226, -- Glyph of Telluric Currents
	[41538] = 227, -- Glyph of Grounding Totem
	[41539] = 228, -- Glyph of Spiritwalker's Grace
	[41552] = 230, -- Glyph of Chaining
	[41542] = 231, -- Glyph of Cleansing Waters
	[43344] = 474, -- Glyph of Healing Storm
	[43725] = 552, -- Glyph of Ghost Wolf
	[45770] = 735, -- Glyph of Thunder
	[45771] = 736, -- Glyph of Feral Spirit
	[45772] = 737, -- Glyph of Riptide
	[45776] = 752, -- Glyph of Shamanistic Rage
	[45777] = 753, -- Glyph of Hex
	[45778] = 754, -- Glyph of Totemic Vigor
	[71155] = 950, -- Glyph of Unleashed Lightning
	-- Shaman Minor
	[41537] = 225, -- Glyph of the Lakestrider
	[41540] = 229, -- Glyph of Lava Lash
	[43381] = 470, -- Glyph of Astral Recall
	[43386] = 471, -- Glyph of the Spectral Wolf
	[43385] = 473, -- Glyph of Far Sight
	[43388] = 476, -- Glyph of Totemic Encirclement
	[44923] = 612, -- Glyph of Thunderstorm
	[45775] = 751, -- Glyph of Deluge
	-- Warlock Major
	[42454] = 273, -- Glyph of Conflagrate
	[42455] = 274, -- Glyph of Siphon Life
	[42458] = 277, -- Glyph of Fear
	[42460] = 279, -- Glyph of Demon Training
	[42462] = 281, -- Glyph of Healthstone
	[42464] = 283, -- Glyph of Dark Soul
	[42465] = 284, -- Glyph of Imp Swarm
	[42466] = 285, -- Glyph of Soul Swap
	[42470] = 289, -- Glyph of Soulstone
	[42472] = 291, -- Glyph of Unstable Affliction
	[43390] = 478, -- Glyph of Soul Consumption
	[43392] = 480, -- Glyph of Curse of Exhaustion
	[45779] = 755, -- Glyph of Drain Life
	[45780] = 756, -- Glyph of Demon Hunting
	[45781] = 757, -- Glyph of Ember Tap
	[45782] = 758, -- Glyph of Demonic Circle
	[45783] = 759, -- Glyph of Shadowflame
	[45785] = 760, -- Glyph of Life Tap
	[50077] = 911, -- Glyph of Everlasting Affliction
	-- NOTE: not available in the game
	[93197] = 1057, -- Glyph of Supernova
	-- Warlock Minor
	[42453] = 272, -- Glyph of Hand of Gul'dan
	[42456] = 275, -- Glyph of Verdant Spheres
	[42457] = 276, -- Glyph of Nightmares
	[42459] = 278, -- Glyph of Felguard
	[42461] = 280, -- Glyph of Health Funnel
	[42463] = 282, -- Glyph of Subtlety
	[42467] = 286, -- Glyph of Shadow Bolt
	[42471] = 290, -- Glyph of Carrion Swarm
	[42473] = 292, -- Glyph of Falling Meteor
	[43389] = 477, -- Glyph of Unending Breath
	[43391] = 479, -- Glyph of Eye of Kilrogg
	[43393] = 481, -- Glyph of Enslave Demon
	[43394] = 482, -- Glyph of Soulwell
	[45789] = 761, -- Glyph of Crimson Banish
	[93202] = 1058, -- Glyph of Gateway Attunement
	-- Warrior Major
	[43397] = 485, -- Glyph of Long Charge
	[43399] = 487, -- Glyph of Unending Rage
	[43421] = 489, -- Glyph of Mortal Strike
	[43413] = 491, -- Glyph of Enraged Speed
	[43414] = 492, -- Glyph of Hindering Strikes
	[43415] = 493, -- Glyph of Heavy Repercussions
	[43416] = 494, -- Glyph of Bloodthirst
	[43417] = 495, -- Glyph of Rude Interruption
	[43418] = 496, -- Glyph of Gag Order
	[43419] = 497, -- Glyph of Blitz
	[43422] = 499, -- Glyph of Die by the Sword
	[43423] = 500, -- Glyph of Hamstring
	[43424] = 501, -- Glyph of Hold the Line
	[43425] = 502, -- Glyph of Shield Slam
	[43427] = 504, -- Glyph of Hoarse Voice
	[43428] = 505, -- Glyph of Sweeping Strikes
	[43430] = 507, -- Glyph of Resonating Power
	[43431] = 508, -- Glyph of Victory Rush
	[43432] = 509, -- Glyph of Raging Wind
	[45790] = 762, -- Glyph of Whirlwind
	[45792] = 763, -- Glyph of Death From Above
	[45793] = 764, -- Glyph of Furious Sundering
	[45795] = 766, -- Glyph of Spell Reflection
	[45797] = 767, -- Glyph of Shield Wall
	[63481] = 927, -- Glyph of Colossus Smash
	[67482] = 931, -- Glyph of Bull Rush
	[67483] = 932, -- Glyph of Recklessness
	[83096] = 1008, -- Glyph of Incite
	-- Warrior Minor
	[43395] = 483, -- Glyph of Mystic Shout
	[43396] = 484, -- Glyph of Bloodcurdling Shout
	[43398] = 486, -- Glyph of Gushing Wound
	[43400] = 488, -- Glyph of Mighty Victory
	[43412] = 490, -- Glyph of Bloody Healing
	[45794] = 765, -- Glyph of Intimidating Shout
	[49084] = 851, -- Glyph of Thunder Strike
	[80587] = 990, -- Glyph of Crow Feast
	[80588] = 991, -- Glyph of Burning Anger
	[85221] = 1020, -- Glyph of the Blazing Trail
}

